Bug 667407 (CVE-2010-4539) - CVE-2010-4539 Subversion (mod_dav_svn): DoS (crash) by processing certain requests to display all available repositories to a web browser
Summary: CVE-2010-4539 Subversion (mod_dav_svn): DoS (crash) by processing certain req...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-4539
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20101126,reported=20110102,sou...
Depends On: 667786 672676 672677 672678 672679 812250 893081
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-05 14:40 UTC by Jan Lieskovsky
Modified: 2019-06-08 18:42 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-29 13:35:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0257 normal SHIPPED_LIVE Moderate: subversion security update 2011-02-15 19:02:23 UTC
Red Hat Product Errata RHSA-2011:0258 normal SHIPPED_LIVE Moderate: subversion security update 2011-02-15 19:17:50 UTC

Description Jan Lieskovsky 2011-01-05 14:40:18 UTC
A NULL pointer dereference flaw was found in the way mod_dav_svn,
Apache httpd module for Subversion server, processed certain
requests to display collection of Subversion repositories,
available on particular host, when listing of repositories
(SVNListParentPath directive) was enabled. A remote user could
use this flaw to cause denial of service (particular httpd thread
crash).

References:
[1] http://svn.apache.org/repos/asf/subversion/tags/1.6.15/CHANGES

Upstream changeset:
[2] http://svn.apache.org/viewvc?view=revision&revision=1033166

Public PoC:
[3] http://svn.haxx.se/users/archive-2010-11/0084.shtml

Flaw exploitation note:
-----------------------
This flaw to be successfully exploited requires the "SVNListParentPath"
directive / listing of repositories to be enabled. This feature is
turned off by default in versions of subversion package, as shipped
with Red Hat Enterprise Linux 5 and 6, which prevents occurrence /
exploitation of this flaw.

Comment 1 Jan Lieskovsky 2011-01-05 14:46:53 UTC
This issue did NOT affect the version of the subversion package,
as shipped with Red Hat Enterprise Linux 4 as it did not include
the support for repositories listing (SVNListParentPath directive) yet.

This issue affects the versions of the subversion package, as shipped
with Red Hat Enterprise Linux 5 and 6.

--

This issue affects the version of the subversion package, as shipped
with Fedora release of 13.

The updated / patched version of subversion package has been already
pushed to Fedora-14 -testing repository. Once it undergoes the required
testing process, it will be pushed to the -stable repository.

Comment 8 Jan Lieskovsky 2011-01-05 16:43:09 UTC
The CVE identifier of CVE-2010-4539 has been assigned to this issue:
http://www.openwall.com/lists/oss-security/2011/01/05/4

Comment 9 Jan Lieskovsky 2011-01-06 18:55:56 UTC
Created subversion tracking bugs for this issue

Affects: fedora-13 [bug 667786]

Comment 11 Josh Bressers 2011-01-25 20:19:05 UTC
Created subversion tracking bugs for this issue

Affects: fedora-13 [bug 667786]

Comment 12 errata-xmlrpc 2011-02-15 19:02:32 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0257 https://rhn.redhat.com/errata/RHSA-2011-0257.html

Comment 13 errata-xmlrpc 2011-02-15 19:18:02 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0258 https://rhn.redhat.com/errata/RHSA-2011-0258.html


Note You need to log in before you can comment on or make changes to this bug.